Bug 1121412 - [abrt] tracker: __pthread_mutex_lock(): tracker-extract killed by SIGSEGV
Summary: [abrt] tracker: __pthread_mutex_lock(): tracker-extract killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:91f0b7cdccc107e7558226ea517...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-20 15:09 UTC by Petr Tomeš
Modified: 2015-06-29 21:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:39:43 UTC


Attachments (Terms of Use)
File: backtrace (54.01 KB, text/plain)
2014-07-20 15:09 UTC, Petr Tomeš
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-20 15:09 UTC, Petr Tomeš
no flags Details
File: core_backtrace (44.55 KB, text/plain)
2014-07-20 15:09 UTC, Petr Tomeš
no flags Details
File: dso_list (7.94 KB, text/plain)
2014-07-20 15:09 UTC, Petr Tomeš
no flags Details
File: environ (967 bytes, text/plain)
2014-07-20 15:09 UTC, Petr Tomeš
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-20 15:09 UTC, Petr Tomeš
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-20 15:09 UTC, Petr Tomeš
no flags Details
File: maps (38.30 KB, text/plain)
2014-07-20 15:09 UTC, Petr Tomeš
no flags Details
File: open_fds (1.10 KB, text/plain)
2014-07-20 15:09 UTC, Petr Tomeš
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2014-07-20 15:09 UTC, Petr Tomeš
no flags Details
File: var_log_messages (360 bytes, text/plain)
2014-07-20 15:09 UTC, Petr Tomeš
no flags Details

Description Petr Tomeš 2014-07-20 15:09:31 UTC
Version-Release number of selected component:
tracker-0.16.4-2.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-extract
crash_function: __pthread_mutex_lock
executable:     /usr/libexec/tracker-extract
kernel:         3.15.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __pthread_mutex_lock at ../nptl/pthread_mutex_lock.c:66
 #1 g_mutex_lock at gthread-posix.c:213
 #2 reset_degree at gstbin.c:1938
 #3 g_list_foreach at glist.c:949
 #4 gst_bin_sort_iterator_resync at gstbin.c:2111
 #5 gst_bin_sort_iterator_new at gstbin.c:2153
 #6 gst_bin_iterate_sorted at gstbin.c:2181
 #7 gst_bin_change_state_func at gstbin.c:2623
 #8 gst_pipeline_change_state at gstpipeline.c:471
 #9 gst_element_change_state at gstelement.c:2602

Comment 1 Petr Tomeš 2014-07-20 15:09:34 UTC
Created attachment 919393 [details]
File: backtrace

Comment 2 Petr Tomeš 2014-07-20 15:09:36 UTC
Created attachment 919394 [details]
File: cgroup

Comment 3 Petr Tomeš 2014-07-20 15:09:37 UTC
Created attachment 919395 [details]
File: core_backtrace

Comment 4 Petr Tomeš 2014-07-20 15:09:39 UTC
Created attachment 919396 [details]
File: dso_list

Comment 5 Petr Tomeš 2014-07-20 15:09:40 UTC
Created attachment 919397 [details]
File: environ

Comment 6 Petr Tomeš 2014-07-20 15:09:41 UTC
Created attachment 919398 [details]
File: exploitable

Comment 7 Petr Tomeš 2014-07-20 15:09:42 UTC
Created attachment 919399 [details]
File: limits

Comment 8 Petr Tomeš 2014-07-20 15:09:44 UTC
Created attachment 919400 [details]
File: maps

Comment 9 Petr Tomeš 2014-07-20 15:09:45 UTC
Created attachment 919401 [details]
File: open_fds

Comment 10 Petr Tomeš 2014-07-20 15:09:46 UTC
Created attachment 919402 [details]
File: proc_pid_status

Comment 11 Petr Tomeš 2014-07-20 15:09:47 UTC
Created attachment 919403 [details]
File: var_log_messages

Comment 12 Fedora Admin XMLRPC Client 2014-07-26 17:13:37 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora Admin XMLRPC Client 2014-07-27 06:35:42 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora End Of Life 2015-05-29 12:25:08 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 21:39:43 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.